# Uses of Class
org.snpsift.annotate.mem.variantTypeCounter.VariantTypeCounter

Packages that use VariantTypeCounter
Package
Description
org.snpsift.annotate.mem.database
org.snpsift.annotate.mem.dataFrame
org.snpsift.annotate.mem.variantTypeCounter

## Uses of VariantTypeCounter in org.snpsift.annotate.mem.database

Constructors in org.snpsift.annotate.mem.database with parameters of type VariantTypeCounter
Modifier
Constructor
Description
``
`VariantDataFrame(VariantTypeCounter variantTypeCounter)`

## Uses of VariantTypeCounter in org.snpsift.annotate.mem.dataFrame

Constructors in org.snpsift.annotate.mem.dataFrame with parameters of type VariantTypeCounter
Modifier
Constructor
Description
``
`DataFrame(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory, boolean hasRefs, boolean hasAlts)`
``
`DataFrameDel(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameIns(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameMixed(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameMnp(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameOther(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`
``
`DataFrameSnp(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Uses of VariantTypeCounter in org.snpsift.annotate.mem.variantTypeCounter

Methods in org.snpsift.annotate.mem.variantTypeCounter that return VariantTypeCounter
Modifier and Type
Method
Description
`static VariantTypeCounter`
VariantTypeCounter.`countVariants(String vcfLines)`
Count variants in a string of VCF lines (i.e.
`VariantTypeCounter`
VariantTypeCounters.`get(String chr)`